local MinBuild, MaxBuild, Build = 40000, 0, select(4, GetBuildInfo())
if Build < MinBuild or ( MaxBuild > 0 and Build > MaxBuild ) then return end

local AddonName, a = ...
local L = a.Localize
local s = SpellFlashAddon
local config = {}
config.event = {}

function config.event.UNIT_SPELLCAST_SUCCEEDED(event, unit, spell, ...)
    if unit ~= "player" then
        return
    end
    
    if spell == "Frost Strike" then
        a.Spells.DelayKM()
    elseif spell == "Howling Blast" then
        if s.Buff("Freezing Fog", "player") then
            a.Spells.BumpRP(10)
        else
            a.Spells.BumpRP(20)
        end
    elseif spell == "Obliterate" then
        a.Spells.DelayObliterate()
        a.Spells.DelayKM()
        a.Spells.BumpRP(30)
    elseif spell == "Plague Strike" then
        a.Spells.BumpRP(10)
    end
end

config.CheckButtonOptions = {
	LeftCheckButton1 = {
		DefaultChecked = true,
		ConfigKey = "blood_off",
		Label = L["Flash Blood"],
	},
	LeftCheckButton2 = {
		DefaultChecked = true,
		ConfigKey = "frost_off",
		Label = L["Flash Frost"],
	},
	LeftCheckButton3 = {
		DefaultChecked = true,
		ConfigKey = "My_Config_Key",
		Label = L["FlashMy_Check_Button_Label"],
	},
	LeftCheckButton4 = {
		DefaultChecked = true,
		ConfigKey = "My_Config_Key",
		Label = L["My_Check_Button_Label"],
	},
	LeftCheckButton5 = {
		DefaultChecked = true,
		ConfigKey = "My_Config_Key",
		Label = L["My_Check_Button_Label"],
	},
	LeftCheckButton6 = {
		DefaultChecked = true,
		ConfigKey = "My_Config_Key",
		Label = L["My_Check_Button_Label"],
	},
	LeftCheckButton7 = {
		DefaultChecked = true,
		ConfigKey = "My_Config_Key",
		Label = L["My_Check_Button_Label"],
	},
	RightCheckButton1 = {
		DefaultChecked = true,
		ConfigKey = "My_Config_Key",
		Label = L["My_Check_Button_Label"],
	},
	RightCheckButton2 = {
		DefaultChecked = false,
		ConfigKey = "My_Config_Key",
		Label = L["My_Check_Button_Label"],
	},
	RightCheckButton3 = {
		DefaultChecked = true,
		ConfigKey = "My_Config_Key",
		Label = L["My_Check_Button_Label"],
	},
	RightCheckButton4 = {
		DefaultChecked = true,
		ConfigKey = "My_Config_Key",
		Label = L["My_Check_Button_Label"],
	},
	RightCheckButton5 = {
		DefaultChecked = true,
		ConfigKey = "My_Config_Key",
		Label = L["My_Check_Button_Label"],
	},
	RightCheckButton6 = {
		DefaultChecked = true,
		ConfigKey = "My_Config_Key",
		Label = L["My_Check_Button_Label"],
	},
	RightCheckButton7 = {
		DefaultChecked = true,
		ConfigKey = "My_Config_Key",
		Label = L["My_Check_Button_Label"],
	},
}

a.LoadConfigs(config)